VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} GwxScreenList_MainForm 
   Caption         =   "Demo Sequence List"
   ClientHeight    =   6915
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4485
   OleObjectBlob   =   "GwxScreenList_MainForm.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "GwxScreenList_MainForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub cmdSelectList_Click()
  frmSelectPresentation.Show
  UserForm_Initialize
End Sub

Private Sub cmdCancel_Click()
 End
End Sub

Private Sub CommandButton2_Click()
    'jump to the display if they double-click on the form.
  Dim ret
  ret = ThisDisplay.FileOpen(ListBox1.List(ListBox1.ListIndex) + ".gdf") 'switch to the appropriate display
End Sub


Private Sub Label1_Click()

End Sub

Private Sub ListBox1_Click()
  'show user the file index
  lblIndex = Format(ListBox1.ListIndex + 1)
  
End Sub

Private Sub ListBox1_DblClick(ByVal Cancel As MSForms.ReturnBoolean)
   'jump to the display if they double-click on the form.
  Dim ret
  ret = ThisDisplay.FileOpen(ListBox1.List(ListBox1.ListIndex) + ".gdf") 'switch to the appropriate display
  
End Sub

Private Sub UserForm_Initialize()
  'this routine reads in the display list for the GEN32Demo and
  'shows a list to the end user to "jump" to any display desired.
  'Rev 0.1, Copyright July 12, 2000, ICONICS
  Const MSG_TITLE = "Demo Sequence List"
  Const DISPLAY_LIST_FILE = "DISPLAYLIST.TXT" 'contains display sequence
  Const LIST_NOT_FOUND_MSG = " is not in the current directory, so cannot show sequence list."
  Dim activeDisplayName As String
  Dim lineInString As String 'line read in from file
  Dim ret%
  Dim answer
  Dim index%
    
  On Error GoTo DISPLAY_ERROR  'trap any problems
  'get the name of the current display, storing it in all capital letters
  activeDisplayName = UCase(Right(ThisDisplay.GetFileName, Len(ThisDisplay.GetFileName) - Len(ThisDisplay.GetFilePath) - 1))
  previousFileInList = ""
  firstTimeThruLoop = True
  foundIt = False
  
  ListBox1.Clear 'reset for new text file list
  
  Open DISPLAY_LIST_FILE For Input As #1
  'find the current display's position in the list
  Do While Not EOF(1) 'look through file up to the end
    Line Input #1, lineInString
    'add it to the list, but do not include the timing info, nor the *.gdf
    ListBox1.AddItem Mid(lineInString, 4, Len(lineInString) - 7)
    
  Loop
    
  Close #1 'close the sequence file
  
  ListBox1.ListIndex = 0
  Exit Sub
  

DISPLAY_ERROR:
  If Err = 53 Then 'the file containing the list isn't in the directory
    MsgBox DISPLAY_LIST_FILE + LIST_NOT_FOUND_MSG, vbCritical, MSG_TITLE
  Else
    MsgBox "Error in script ChangeDisplay: " + str(Err) + ": " + Error(Err)
  End If
  Exit Sub
  Resume

End Sub
